Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration.server
Class DataDomainProvider

    java.lang.Object
      org.apache.cayenne.configuration.server.DataDomainProvider

All Implemented Interfaces:
  Provider<DataDomain>

    public class DataDomainProvider

extends Object
implements Provider<DataDomain>

A `DataChannel` provider that provides a single instance of DataDomain configured per configuration supplied via injected `DataChannelDescriptorLoader`.

Since:
  3.1

Field Summary
`protected DbAdapterFactory` | `adapterFactory`
`protected RuntimeProperties` | `configurationProperties`
`protected DataSourceFactoryLoader` | `dataSourceFactoryLoader`
`protected SchemaUpdateStrategy` | `defaultSchemaUpdateStrategy`
`protected Injector` | `injector`
`protected DataChannelDescriptorLoader` | `loader`
`protected AdhocObjectFactory` | `objectFactory`
`protected ResourceLocator` | `resourceLocator`

Constructor Summary
`DataDomainProvider()`

Method Summary
`protected DataDomain` | `createAndInitDataDomain()`
`protected DataDomain` | `createDataDomain(String name)`
`DataDomain` | `get()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceLocator

    protected ResourceLocator resourceLocator

### loader

    protected DataChannelDescriptorLoader loader

### configurationProperties

    protected RuntimeProperties configurationProperties

### defaultSchemaUpdateStrategy

    protected SchemaUpdateStrategy defaultSchemaUpdateStrategy

### adapterFactory

    protected DbAdapterFactory adapterFactory

### dataSourceFactoryLoader

    protected DataSourceFactoryLoader dataSourceFactoryLoader

### objectFactory

    protected AdhocObjectFactory objectFactory

### injector

    protected Injector injector

Constructor Detail

### DataDomainProvider

    public DataDomainProvider()

Method Detail

### get

    public DataDomain get()
                   throws ConfigurationException

  Specified by:
    `get` in interface `Provider<DataDomain>`
  Throws:
    `ConfigurationException`

### createDataDomain

    protected DataDomain createDataDomain(String name)

### createAndInitDataDomain

    protected DataDomain createAndInitDataDomain()
                                          throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.